<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('admissions', function (Blueprint $table) {
            $table->id();
            $table->string("firstname");
            $table->string("middlename");
            $table->string("lastname");
            $table->date("dob");
            $table->string("gender");
            $table->integer("idno");
            $table->integer("phone");
            $table->string("email");
            $table->string("address");
            $table->string("location");
            $table->string("gname");
            $table->integer("gphone");
            $table->string("goccupation");
            $table->integer("gidno");
            $table->string("school");
            $table->integer("year");
            $table->string("grade");
            $table->string("course");
            $table->date("begin");
            $table->date("end");
            $table->string("passport");
            $table->string("idcard");
            $table->string("gidcard");
            $table->string("kcpe");
            $table->string("secondary");
            $table->string("kcse");
            $table->string("medical")->default(null);
            $table->integer("active")->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('admissions');
    }
};
